package ch.std.jumpstart.scheduled;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

@Component
public class JumpTaskParameterized {

	Logger logger = LoggerFactory.getLogger(JumpTaskParameterized.class);
	
	@Value("${jumpstart.task.initialDelay}")
	private String initialDelay;
	
	@Value("${jumpstart.task.fixedRate}")
	private String fixedRate;
	
	public JumpTaskParameterized() {
		
	}
	
	@Scheduled(initialDelayString = "${jumpstart.task.initialDelay}", fixedRateString = "${jumpstart.task.fixedRate}")
	public void runInitialDelay() {
		logger.info("D I run each " + this.fixedRate + "s after initial delay of " + this.initialDelay + "s");
	}

}
